# Uses of Enum Class
org.bukkit.event.entity.EntityUnleashEvent.UnleashReason

Packages that use EntityUnleashEvent.UnleashReason
Package
Description
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of EntityUnleashEvent.UnleashReason in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return EntityUnleashEvent.UnleashReason
Modifier and Type
Method
Description
`@NotNull EntityUnleashEvent.UnleashReason`
EntityUnleashEvent.`getReason()`
Returns the reason for the unleashing.
`static EntityUnleashEvent.UnleashReason`
EntityUnleashEvent.UnleashReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityUnleashEvent.UnleashReason[]`
EntityUnleashEvent.UnleashReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.entity with parameters of type EntityUnleashEvent.UnleashReason
Modifier
Constructor
Description
``
`EntityUnleashEvent(@NotNull Entity entity, @NotNull EntityUnleashEvent.UnleashReason reason)`
Deprecated.
``
`EntityUnleashEvent(@NotNull Entity entity, @NotNull EntityUnleashEvent.UnleashReason reason, boolean dropLeash)`